Subject: Re: [netlmm]( Link Local Addressing Semantics) Decision Taken ?

From: "Julien Bournelle" <[email-masked]>
Date: Fri, 8 Dec 2006 18:39:45 +0100

HI behcet,

 sorry if I missed something. What 's exactly the decision that has
been taken at San Diego ?

 Thanks,

 Julien B.

On 12/8/06, Behcet Sarikaya <[email-masked]> wrote:
>
> Hi Julien,
>   As per the decision taken at San Diego WG meeting, we probably do not have
> to worry about MAG and LMAs any more.
>   However, we might wish to discuss what should be the new link model and I
> guess this was the reason why this thread was opened.
>   In PMIP model, MN does not get its traffic from the netLMM address but
> instead uses its HoA, what are the implications of this from the multilink
> subnet point-of-view?
>   I think that with this new model the multilink subnet is created at the
> home link and the solution (per-MN prefix) should apply to HoA and MN can
> use whatever is available in its present subnet for local address
> configuration of its CoA.
>   What do you think?
>
> --behcet
>
>
> ----- Original Message ----
> From: Julien Laganier <[email-masked]>
> To: [email-masked]
> Cc: "Templin, Fred L" <[email-masked]>
> Sent: Friday, December 8, 2006 8:56:58 AM
> Subject: Re: [netlmm] Link Local Addressing Semantics
>
>
> On Thursday 07 December 2006 20:29, Narayanan, Vidya
> wrote:
> > Fred,
>
> [...]
>
> > I think I've said this in the last couple of emails,
> > but let me try to describe it again. If the
> > link-local semantics were always p2p semantics, the
> > upper layers on the MN never have any expectations
> > on the link-local reachability of neighbors
>
> The upper layer on the MN do have an expectation on the
> link-local reachibility of the (sole) neighbor of the
> MN: its router.
>
> Two ways to avoid that in p2p model:
>
> - The default router never change, it is the LMA
> - The domain fake an unchanging default router, i.e.
> same link-local address and link-layer address on
> every MAG. Plus same public-private key pair in case
> SEND is used.
>
> > to begin with and so, it doesn't matter that the link
> > changed while the MN kept the same prefix/address.
> > OTOH, if the link exhibited shared semantics for
> > link-local and the link changed, the upper layers'
> > and applications' expectations on reachability are
> > really misplaced and that loses the benefits those
> > applications get from having a shared link in the
> > first place.
> >
> > Without knowledge of the requirements to support
> > shared link-local behavior, we are having this
> > discussion in a vaccuum and I'm afraid we will not
> > make any progress. So, I urge you to step back and
> > talk about the requirements before we can have
> > further discussions.
>
> The requirement is to support last hop links which are
> shared, and can't be turned into p2p links (e.g.
> 802.11 w/o VLAN support)
>
> --julien
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
>
>
> _______________________________________________
> netlmm mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/netlmm
>
>
>

_______________________________________________
netlmm mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/netlmm